/*
  Copyright (C) 2000-2003 SKYRIX Software AG

  This file is part of OGo

  OGo is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation; either version 2, or (at your option) any
  later version.

  OGo is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
  License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with OGo; see the file COPYING.  If not, write to the
  Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
  02111-1307, USA.
*/
// $Id: iCalPerson.h,v 1.3 2003/07/18 15:01:10 martin Exp $

#ifndef __NGiCal_iCalPerson_H__
#define __NGiCal_iCalPerson_H__

#include <NGiCal/iCalObject.h>

@interface iCalPerson : iCalObject
{
  NSString *cn;
  NSString *email;
  NSString *rsvp;     /* FALSE           */
  NSString *partStat; /* ACCEPTED        */
  NSString *role;     /* REQ-PARTICIPANT */
  NSString *xuid;     /* x22sAAHFf       */
}

/* accessors */

- (void)setCn:(NSString *)_s;
- (NSString *)cn;

- (void)setEmail:(NSString *)_s;
- (NSString *)email;

- (void)setRsvp:(NSString *)_s;
- (NSString *)rsvp;

- (void)setXuid:(NSString *)_s;
- (NSString *)xuid;

- (void)setRole:(NSString *)_s;
- (NSString *)role;

- (void)setPartStat:(NSString *)_s;
- (NSString *)partStat;

@end

#endif /* __NGiCal_iCalPerson_H__ */
